Skip to content
Agents
Scopes

Get Scope

GET
/v1/scopes/{scope_id}
curl --request GET \
--url https://agents.lumalabs.ai/v1/scopes/example \
--header 'Authorization: Bearer <token>'

Retrieve a scope by its UUID.

scope_id
required
Scope Id
string

Successful Response

Media typeapplication/json
ScopeResponse
object
client_id
required
Client Id
string
client_key
Any of:
string
config
Any of:
object
key
additional properties
any
created_at
required
Created At
string format: date-time
display_name
Any of:
string
expires_at
Any of:
string format: date-time
replayed
Replayed

True when a create re-posted an existing key and this is the scope that key already names.

boolean
scope_id
required
Scope Id

UUID identifying this scope. Pass as scope_id when creating sessions.

string
state
required
State
string
tenant_id
Any of:
string
Example
{
"replayed": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}